# ACE::If_Then_Else< true, Ta, Tb > Struct Template Reference

`#include <If_Then_Else.h>`

List of all members.

## Public Types

typedef Ta | result_type

### template<typename Ta, typename Tb>
struct ACE::If_Then_Else< true, Ta, Tb >

## Member Typedef Documentation

template<typename Ta, typename Tb>
typedef Ta ACE::If_Then_Else< true, Ta, Tb >::result_type

The documentation for this struct was generated from the following file:

- If_Then_Else.h